//! prelude with most common stories types and functions.

pub use anyhow::Result;

pub(crate) use crate::{
    activity::Activity,
    message::{Message, Severity},
    modules::{self, prelude::Here, stories::Context},
    report_generators,
    reporter::Reporter,
    story,
};

pub(crate) type ActivityBox = Box<dyn Activity>;

pub(crate) use rune::support::Result as RResult;
